Opened 8 years ago

Closed 6 months ago

#270 closed defect (wontfix)

QT_BUILD_KEY contains unnecessary flags

Reported by: rudi Owned by:
Priority: major Milestone:
Component: General Version: 4.7.3
Severity: low Keywords:
Cc:

Description

Our QT_BUILD_KEY contains a bunch of QT_NO_xxx flags that lead to bogus plugin version incompatibility errors. The build key should only contain flags that affect the ABI. We should not include things like QT_NO_IMAGEFORMAT_xxx.

Change History (4)

comment:1 Changed 8 years ago by Dmitry A. Kuminov

AFAIR, this is a cross-platform issue, but this needs to be checked (configure is the source of information here).

comment:2 Changed 18 months ago by Silvan Scherrer

Milestone: Qt EnhancedQt 5

comment:3 Changed 6 months ago by Silvan Scherrer

Milestone: Qt 5

Ticket retargeted after milestone closed

comment:4 Changed 6 months ago by Silvan Scherrer

Resolution: wontfix
Status: newclosed

we have no intention to fix this in Qt 4. If it's still an issue with Qt 5 please open a ticket at https://github.com/bitwiseworks/qtbase-os2

Note: See TracTickets for help on using tickets.